#include "guitools.h"
#include "imgui/imgui.h"

#include "engine.h"
#include "tools/scenepicker.h"
#include "scene/scenetree.h"

GuiTools::GuiTools() :
    m_pickerNode(new ScenePicker()),
    m_pickerEnabled(false)
{
    addChild(m_pickerNode);
    m_pickerNode->setVisible(false);
}

void GuiTools::update()
{
    // no automatic update of children, we want to update them manually
    // ContainerNode::update();

    if(m_pickerEnabled)
        m_pickerNode->update();
}

void GuiTools::togglePicker()
{
    m_pickerEnabled = !m_pickerEnabled;
    m_pickerNode->setVisible(m_pickerEnabled);
}
